import { jsx as e } from "react/jsx-runtime";
import { BlockletProvider as i, useBlockletContext as u } from "@arcblock/ux/lib/BlockletContext";
function p(r) {
  function n({ ...t }) {
    const { blocklet: o, masterBlocklet: c } = u();
    return /* @__PURE__ */ e(r, { ...t, blocklet: o, masterBlocklet: c });
  }
  function l({ baseUrl: t, ...o }) {
    return /* @__PURE__ */ e(i, { baseUrl: t, children: /* @__PURE__ */ e(n, { baseUrl: t, ...o }) });
  }
  return l;
}
export {
  p as default
};
